This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 828789 - Review Request: ghc-oeis - Interface to the Online Encyclopedia of Integer Sequences
Review Request: ghc-oeis - Interface to the Online Encyclopedia of Integer Se...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 07:43 EDT by Shakthi Kannan
Modified: 2012-09-17 18:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 20:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-05 07:43:51 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-oeis.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-oeis-0.3.1-1.fc16.src.rpm
Description: Interface to the Online Encyclopedia of Integer Sequences
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-05 07:45:43 EDT
$  rpmlint ghc-oeis.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-oeis-0.3.1-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-oeis-0.3.1-1.fc16.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-oeis-devel-0.3.1-1.fc16.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4128456
http://koji.fedoraproject.org/koji/taskinfo?taskID=4128457
http://koji.fedoraproject.org/koji/taskinfo?taskID=4128462
Comment 2 Narasimhan 2012-09-01 13:43:42 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.rpm ../ghc-oeis.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - Not OK, requires better summary and description
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum oeis-0.3.1.tar.gz 
829308a22e330bef8e39a8fa88776488eba6213b1bd90cf70168811f5611ba4f  oeis-0.3.1.tar.gz

sha256sum ghc-oeis-0.3.1-1.fc16.src/oeis-0.3.1.tar.gz 
829308a22e330bef8e39a8fa88776488eba6213b1bd90cf70168811f5611ba4f  ghc-oeis-0.3.1-1.fc16.src/oeis-0.3.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Installed the packages. Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
pm -e ghc-oeis
error: Failed dependencies:
    ghc(oeis-0.3.1) = cb2a9dd055fa16e38a914bfb2adc859b is needed by (installed) ghc-oeis-devel-0.3.1-1.fc15.x86_64
    ghc-oeis = 0.3.1-1.fc15 is needed by (installed) ghc-oeis-devel-0.3.1-1.fc15.x86_64
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded Math.OEIS into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

Please fix summary and description.

APPROVED.
Comment 3 Shakthi Kannan 2012-09-01 22:55:33 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-oeis
Short Description: A oeis library for Haskell
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-09-02 20:09:42 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-03 02:48:13 EDT
ghc-oeis-0.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-oeis-0.3.1-1.fc16
Comment 6 Fedora Update System 2012-09-03 02:48:23 EDT
ghc-oeis-0.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-oeis-0.3.1-1.fc17
Comment 7 Fedora Update System 2012-09-03 02:48:33 EDT
ghc-oeis-0.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-oeis-0.3.1-1.fc18
Comment 8 Fedora Update System 2012-09-03 13:21:11 EDT
ghc-oeis-0.3.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-11 20:25:26 EDT
ghc-oeis-0.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-09-11 20:30:30 EDT
ghc-oeis-0.3.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-09-17 18:36:23 EDT
ghc-oeis-0.3.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.